compact1, compact2, compact3
java.lang.reflect

## Interface AnnotatedParameterizedType

All Superinterfaces:
  AnnotatedElement, AnnotatedType

    public interface AnnotatedParameterizedType
    extends AnnotatedType

`AnnotatedParameterizedType` represents the potentially annotated use of a parameterized type, whose type arguments may themselves represent annotated uses of types.

Since:
  1.8

### Method Summary

All Methods Instance Methods Abstract Methods
`AnnotatedType[]` `getAnnotatedActualTypeArguments()` Returns the potentially annotated actual type arguments of this parameterized type.

### Methods inherited from interface java.lang.reflect.AnnotatedType

`getType`

### Methods inherited from interface java.lang.reflect.AnnotatedElement

`getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

### Method Detail

#### getAnnotatedActualTypeArguments

    AnnotatedType[] getAnnotatedActualTypeArguments()

Returns the potentially annotated actual type arguments of this parameterized type.

Returns:
  the potentially annotated actual type arguments of this parameterized type